UPDATE-MODULES(8)

NAME
update-modules - (re)generate /etc/conf.modules

SYNOPSIS
update-modules [force]

DESCRIPTION
update-modules is a simple tool to manage /etc/conf.modules. The Linux module utilities use one configuration file for all their configuration. This makes it hard for packages to dynamically add information about their own modules. To fix this update-modules has been introduced.

update-modules attempts to fix this by generating the configuration file from seperate files which are located in /etc/modutils. All files in that directory are assembled together to form /etc/conf.modules. There is also a special subdirectory (/etc/modutils/arch) which contains information for special architectures. Currently only special configuration for m68k-architectures is supplied. update-modules determines the architecture and selects which file it must use.

After generation a backup of the old file is put in /etc/conf.modules.old.

FILE FORMAT
There are two types of file you can put in /etc/modutils: normal files and exectuable files. Normal files contain standard modules configuration information, as described in modprobe(1). Executable files are executed and their output is used as extra configuration information. Error messages sent to stderr are not redirected.

OPTIONS

force
    update-modules check if the current /etc/conf.modules is a generated file by checking for a special tag on the first line. If this tag is not found generation is aborted. By supplying force as parameter only a warning is printed.

SEE ALSO
kerneld(8), insmod(1)

BUGS
None of course! :)

AUTHOR
This manual page was written by Wichert Akkerman <wakkerma@debian.org> for the Debian GNU/Linux system.